Bug 184300 - Update port: www/trac-TracGoogleAnalytics Add STAGE support
Summary: Update port: www/trac-TracGoogleAnalytics Add STAGE support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-26 04:50 UTC by Douglas Thrift
Modified: 2013-11-27 16:50 UTC (History)
1 user (show)

See Also:


Attachments
trac-TracGoogleAnalytics.2013-11-25T072842Z.diff (973 bytes, patch)
2013-11-26 04:50 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-11-26 04:50:00 UTC
Add STAGE and PYDISTUTILS_AUTOPLIST support to www/trac-TracGoogleAnalytics.
Also, fix LICENSE placement in Makefile.

https://redports.org/buildarchive/20131125065600-2044/
Comment 1 Edwin Groothuis freebsd_committer 2013-11-26 04:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-27 16:44:00 UTC
Author: sunpoet
Date: Wed Nov 27 16:43:52 2013
New Revision: 335034
URL: http://svnweb.freebsd.org/changeset/ports/335034

Log:
  - Use PYDISTUTILS_AUTOPLIST
  - Support STAGEDIR
  - Pet portlint: move LICENSE upward
  - While I'm here, update USE_PYTHON
  
  PR:		ports/184300
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Modified:
  head/www/trac-TracGoogleAnalytics/Makefile   (contents, props changed)

Modified: head/www/trac-TracGoogleAnalytics/Makefile
==============================================================================
--- head/www/trac-TracGoogleAnalytics/Makefile	Wed Nov 27 16:42:22 2013	(r335033)
+++ head/www/trac-TracGoogleAnalytics/Makefile	Wed Nov 27 16:43:52 2013	(r335034)
@@ -11,17 +11,14 @@ PKGNAMEPREFIX=	trac-
 MAINTAINER=	douglas@douglasthrift.net
 COMMENT=	Trac plugin to enable logging by Google Analytics
 
+LICENSE=	BSD
+
 BUILD_DEPENDS=	tracd:${PORTSDIR}/www/trac \
 		${PYTHON_PKGNAMEPREFIX}Genshi>=0.5:${PORTSDIR}/textproc/py-genshi
-
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-LICENSE=	BSD
-
-USE_PYTHON=	2.5+
+USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
+PYDISTUTILS_AUTOPLIST=	yes
 
-PLIST_FILES=	%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
-
-NO_STAGE=	yes
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-11-27 16:44:22 UTC
State Changed
From-To: open->closed

Committed. Thanks!